## helma.scripting.rhino
Interface PropertyRecorder

All Known Implementing Classes:
  GlobalObject, HopObject

    public interface PropertyRecorder

An interface that allows us to keep track of changed properties in JavaScript objects. This is used when compiling prototypes in order to be able to remove properties from prototypes that haven't been renewed in the compilation step.

Method Summary
`void` `clearChangeSet()` Clear the set of changed properties.
`java.util.Set` `getChangeSet()` Returns a set containing the names of properties changed since the last time startRecording() was called.
`void` `startRecording()` Tell this PropertyRecorder to start recording changes to properties
`void` `stopRecording()` Tell this PropertyRecorder to stop recording changes to properties

Method Detail

### startRecording

    void startRecording()

  Tell this PropertyRecorder to start recording changes to properties

### stopRecording

    void stopRecording()

  Tell this PropertyRecorder to stop recording changes to properties

### getChangeSet

    java.util.Set getChangeSet()

  Returns a set containing the names of properties changed since the last time startRecording() was called.

  Returns:
    a Set containing the names of changed properties

### clearChangeSet

    void clearChangeSet()

  Clear the set of changed properties.

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.